Bug 519980 - Moving an active display in GNOME Display Properties results in unusable on-screen region
Summary: Moving an active display in GNOME Display Properties results in unusable on-s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 20:22 UTC by James Ettle
Modified: 2018-04-11 11:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:20:24 UTC


Attachments (Terms of Use)
Screenshot illustrating the problem (390.46 KB, image/jpeg)
2009-08-27 20:33 UTC, James Ettle
no flags Details
Xorg log from such a session (118.14 KB, text/plain)
2009-08-28 08:40 UTC, James Ettle
no flags Details
dmesg from such a session (43.53 KB, text/plain)
2009-08-28 08:41 UTC, James Ettle
no flags Details

Description James Ettle 2009-08-27 20:22:09 UTC
Description of problem:
Moving the position of an active display in GNOME Display Properties (g-d-p) with multiple outputs active moves the viewport on the larger, underlying display, but the area of screen "uncovered" by this move (i.e., from regions that were previously immediately next to the moved display) is not used (no windows are drawn on it), and it often filled with garbage. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Attach an external monitor of different resolution to the notebook's flat-panel.
2. Enable the second display via g-d-p.
3. Go to g-d-p again and move the notebook panel by a small amount relative to its current position.

Additional info:
WORKAROUND: Disable the display that's being moved (switch off in g-d-p), move, then switch back on again.

Comment 1 James Ettle 2009-08-27 20:33:57 UTC
Created attachment 358963 [details]
Screenshot illustrating the problem

Attached is a screenshot showing the problem.

The external display has a resolution of 1680x1050, the notebook panel 1280x800. When the external display was activated, it was done so with the notebook panel placed to the right of it, about halfway up; the top of its viewport landed at the bottom of the garbage in the top-right of the picture.

I then moved the notebook display to the configuration shown in the g-d-p screenshot. What shows up on the notebook's panel is what's in the top-right 1280x800 rectangle in the picture.

Comment 2 James Ettle 2009-08-28 08:40:49 UTC
Created attachment 359028 [details]
Xorg log from such a session

Comment 3 James Ettle 2009-08-28 08:41:16 UTC
Created attachment 359029 [details]
dmesg from such a session

Comment 4 Matěj Cepl 2009-11-05 18:37:08 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Matěj Cepl 2010-02-26 12:26:59 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 6 Bug Zapper 2010-04-28 10:01:33 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:20:24 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.